<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;
use app\model\Category;
use think\facade\Template;
use app\model\SysMenu;

Route::pattern([
    'name' => '\w+',
    'id' => '\d+',
    'cid' => '\d+',
    'page' => '\d+',
    'year' => '\d+',
    'month' => '\d+',
    'day' => '\d+',
]); 

Route::get('/index', 'index/index/index');
Route::get('/', 'index/index/index');
Route::view('/404', '404');
Route::get('/about', 'index/index/about')->append(['_aside' => true]);
Route::get('/guest_book', 'index/index/guestBook');
Route::post('/save_guest_book', 'index/index/saveGuestBook');

Route::get('/tags/:name', 'index/article/tag');
Route::get('/tag/:name', 'index/article/tag');
Route::get('/all-<page?>', 'index/article/index')->append(['cid' => 0]);
Route::post('/dolike', 'index/article/dolike');
Route::get('/detail/<id>-<name>', 'index/article/read');
Route::get('/:year/<month>-<day>/:id', 'index/article/read');
Route::get('/:year/<month>-<page?>', 'index/article/archive');


Route::group('sys', function() {
    Route::get('index', 'sys.index/index');
    Route::post('index/usedspace', 'sys.index/usedspace');
    Route::post('index/clearcache', 'sys.index/clearcache');
    Route::get('login/index', 'sys.login/index');
    Route::post('login/dologin', 'sys.login/dologin');
    Route::get('login/logout', 'sys.login/logout');
    Route::get('verify', 'sys.login/verify');
    Route::post('file_manager/uploadImage', 'sys.file_manager/uploadImage');
    Route::post('file_manager/ckeditorUploadImage', 'sys.file_manager/ckeditorUploadImage');
    Route::post('file_manager/uploadUrlImg', 'sys.file_manager/uploadUrlImg');
    $menuList = SysMenu::where('type', '<>', '0')->field('id, pid, name, url, icon')->select();
    foreach ($menuList as $menu) {
        $menuUrl = $menu->url;
        $router = 'sys.' . $menuUrl;
        Route::rule($menuUrl, $router);
    }
});


// Route::post('sys/index/usedspace', 'sys.index/usedspace');
// ;
// Route::post('sys/index/countArticle', 'sys.index/countArticle');
// Route::post('sys/index/countIndustry', 'sys.index/countIndustry');
// Route::post('sys/index/countGuestBook', 'sys.index/countGuestBook');
// Route::post('sys/index/saveIndexButton', 'sys.index/saveIndexButton');
// Route::get('sys/login/index', 'sys.login/index');
// Route::post('sys/login/dologin', 'sys.login/dologin');
// Route::get('sys/login/logout', 'sys.login/logout');
// Route::get('sys/verify', 'sys.login/verify');
// Route::post('sys/file_manager/uploadImage', 'sys.file_manager/uploadImage');
// Route::post('sys/file_manager/uploadMoive', 'sys.file_manager/uploadMoive');
// Route::post('sys/file_manager/ckeditorUploadImage', 'sys.file_manager/ckeditorUploadImage');
// Route::post('sys/file_manager/uploadUrlImg', 'sys.file_manager/uploadUrlImg');
// Route::post('sys/category/index', 'sys.category/index');

// Route::group('sys', function () {

// });

Route::get('sys', 'sys.index/index');

